<template>
<div id="wrapper">
  <!-- Titlebar
================================================== -->
<div id="titlebar" class="gradient">
	<div class="container">
		<div class="row">
			<div class="col-md-12">

				<div class="user-profile-titlebar">
					<div class="user-profile-avatar">	<img src="/static/images/oussama_shili.jpg" alt=""></div>
					<div class="user-profile-name">
						<h2>{{user.firstname}} {{user.lastname}}</h2>
						<div class="star-rating" data-rating="5">
							<div class="rating-counter"><a href="#listing-reviews">(60 reviews)</a></div>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>
</div>



<!-- Content
================================================== -->
<div class="container">
	<div class="row sticky-wrapper">


		<!-- Sidebar
		================================================== -->
		<div class="col-lg-4 col-md-4 margin-top-0">
				
			<!-- Verified Badge -->
			<div class="verified-badge with-tip" data-tip-content="Account has been verified and belongs to the person or organization represented.">
				<i class="sl sl-icon-user-following"></i> Verified Account
			</div>

			<!-- Contact -->
			<div class="boxed-widget margin-top-30 margin-bottom-50">
				<h3>Contact</h3>
				<ul class="listing-details-sidebar">
					<li><i class="sl sl-icon-phone"></i> (123) 123-456</li>
					<li><i class="fa fa-envelope-o"></i> <a href="#"><span class="__cf_email__" data-cfemail="9beff4f6dbfee3faf6ebf7feb5f8f4f6">{{user.email}}</span></a></li>
				</ul>

				<ul class="listing-details-sidebar social-profiles">
					<li><a href="#" class="facebook-profile"><i class="fa fa-facebook-square"></i> Facebook</a></li>
					<li><a href="#" class="twitter-profile"><i class="fa fa-twitter"></i> Twitter</a></li>
					<!-- <li><a href="#" class="gplus-profile"><i class="fa fa-google-plus"></i> Google Plus</a></li> -->
				</ul>

				<!-- Reply to review popup -->
				<div id="small-dialog" class="zoom-anim-dialog mfp-hide">
					<div class="small-dialog-header">
						<h3>Send Message</h3>
					</div>
					<div class="message-reply margin-top-0">
						<textarea cols="40" rows="3" placeholder="Your message to Tom"></textarea>
						<button class="button">Send Message</button>
					</div>
				</div>

				<a href="#small-dialog" class="send-message-to-owner button popup-with-zoom-anim"><i class="sl sl-icon-envelope-open"></i> Send Message</a>
			</div>
			<!-- Contact / End-->

		</div>
		<!-- Sidebar / End -->


	<!-- Item -->
			<div class="col-lg-8 col-md-8" v-if="tokenDuration==7">
				<div class="dashboard-stat color-1">
					<div class="dashboard-stat-content"><h4>{{daysRemaining7}} Days</h4> <span>Your token will expire after {{daysRemaining7}} days</span></div>
					<div class="dashboard-stat-icon"><i class="fa fa-clock-o"></i></div>
				</div>
			</div>
            <div class="col-lg-8 col-md-8" v-if="tokenDuration==30">
				<div class="dashboard-stat color-1">
					<div class="dashboard-stat-content"><h4>{{daysRemaining30}} Days</h4> <span>Your token will expire after {{daysRemaining30}} days</span></div>
					<div class="dashboard-stat-icon"><i class="fa fa-clock-o"></i></div>
				</div>
			</div>
            <div class="col-lg-8 col-md-8" v-if="tokenDuration==90">
				<div class="dashboard-stat color-1">
					<div class="dashboard-stat-content"><h4>{{daysRemaining90}} Days</h4> <span>Your token will expire after {{daysRemaining30}} days</span></div>
					<div class="dashboard-stat-icon"><i class="fa fa-clock-o"></i></div>
				</div>
			</div>
		<!-- Content
		================================================== -->
		<div class="col-lg-8 col-md-8 padding-left-30">


		<div class="dashboard-list-box invoices with-icons margin-top-20">
					<h4>Token Informations</h4>
					<ul>
						
						<li><i class="list-box-icon sl sl-icon-doc"></i>
							<strong v-if="user.tokenDuration==7">1 WEEK PACK</strong>
                            <strong v-if="user.tokenDuration==30">1 MONTH PACK</strong>
                            <strong v-if="user.tokenDuration==90">3 MONTHS PACK</strong>
							<ul>
								<li class="paid">Usable</li>
								<li>Transaction Hash: {{ user.txhash }}</li>
								<li>Date: {{tokenDate}}</li>
							</ul>
							<div class="buttons-to-right">
								<a v-bind:href="'https://ropsten.etherscan.io/tx/'+user.txhash" class="button gray">View On Etherscan</a>
							</div>
						</li>

					</ul>
				
				</div>
			<!-- Listings Container / End -->


		</div>

	</div>
</div>
</div>
</template>

<script>
import axios from "axios";
import VueLocalStorage from "vue-localstorage";
import Vue from "vue";
//import LiveEdit from 'vue-live-edit';
//Vue.use(LiveEdit);
Vue.use(VueLocalStorage);

var tokenDate = new Date();
var accountAddress;
var tokenDuration;
var dateNow = new Date(Date.now());
const data = JSON.parse(Vue.localStorage.get("user"));
console.log(data);
var array = [];
var user;
array.push(data);
/*
array.forEach(element => {
  tokenDate = new Date(element.data.tokenDate);
  accountAddress = element.data.accountAddress;
  tokenDuration = element.data.tokenDuration;
  // console.log(element.data.tokenDate);
});*/

export default {
  name: "user-profile",
  data() {
    return {
      msg: "Welcome to user profile",
      user: [],
      dateNow,
      tokenDate,
      accountAddress,
      tokenDuration,
      daysRemaining7 : Number,
      daysRemaining30 : Number,
      daysRemaining90 : Number
    };
  },
methods : {
  convertDate(inputFormat) {
  function pad(s) { return (s < 10) ? '0' + s : s; }
  var d = new Date(inputFormat);
  return [pad(d.getDate()), pad(d.getMonth()+1), d.getFullYear()].join('/');
}
},
  created() {
    axios
      .get("http://34.244.196.28:443/users/userById/" + this.$route.params.id)
      .then(response => {
        this.user = response.data;
       // user = this.user;
         this.dateNow = dateNow;
         this.tokenDate = this.user.tokenDate;
         this.accountAddress = this.user.accountAddress;
         this.tokenDuration = this.user.tokenDuration;
         tokenDate = new Date(this.user.tokenDate);
        this.daysRemaining7 = 7 - (dateNow.getDate() - tokenDate.getDate());
        this.daysRemaining30 = 30 - (dateNow.getDate() - tokenDate.getDate());
        this.daysRemaining90 = 90 - (dateNow.getDate() - tokenDate.getDate());

        let options = {
          weekday: "long",
          year: "numeric",
          month: "short",
          day: "numeric",
          hour: "2-digit",
          minute: "2-digit"
        };
        this.tokenDate = tokenDate.toLocaleString("en-us", options);
      })
      .catch(e => {
        console.log(e);
      });
  }
};
</script>
